#!/usr/bin/env python2.3
#
#   mibcip - Modular IRC Bot Core In Python
#   Copyright (C) 2004  Helmut Grohne
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

import cronlib

conflicts = []
depends = [ ["core.cmd"] ]

class plugin:
    def __init__(self, base):
        self.base = base
        self.periodic = cronlib.MinutelyScheduler(self.event)
        self.periodic.start()
    def delete(self):
        self.periodic.stop()
    def event(self):
        self.base.p.core.cmd.privmsg("#nosuchchannel", "done")
