#!/usr/bin/env python2.3
#
#   mibcip - Modular IRC Bot Core In Python
#   Copyright (C) 2004  Helmut Grohne
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

#
# TODO: this whole file is a mess
#

conflicts = []
depends = []

class plugin:
    plugins = "core.config core.event core.send core.rawparser core.servcapab"
    plugins += " core.parser core.info core.cmd core.auth core.reconnector"
    plugins += " auth.nickserv auth.userhost"
    plugins = plugins.split()

    def __init__(self, base):
        print "startup init called"
        for p in self.plugins:
            if p not in base.plugins:
                print "loading %s..." % repr(p),
                base.insmod(p)
                print "%s..." % base.reload(p)
            else:
                print "reloading %s...%s" % (repr(p), base.reload(p))

        config_get = base.p.core.config.get
        nick = config_get("core.startup", "nick")
        user = config_get("core.startup", "user")
        realname = config_get("core.startup", "realname")
        hostname = config_get("core.startup", "hostname")
        servername = config_get("core.startup", "servername")

        attach_event = base.p.core.event.attach_event

        def on_connect(_):
            cmd = base.p.core.cmd
            cmd.user(user, hostname, servername, realname)
            cmd.nick(nick)

        attach_event("core.event", "core.startup", "connect", on_connect)

        def on_nick_in_use((arg,)):
            cmd = base.p.core.cmd
            cmd.nick(arg.argv[-1] + "_")

        attach_event("core.rawparser", "core.startup", "433", on_nick_in_use)

        def on_connected(_):
            cmd = base.p.core.cmd
            cmd.time()
            cmd.join("#nosuchchannel")

        attach_event("core.parser", "core.startup", "SETNICK", on_connected)

        for p in ("test.bofh", "test.debug", "test.ctcp", "test.log",
                  "test.password", "test.nickserv", "test.urllog"):
            if p not in base.plugins:
                base.insmod(p)

    def __getstate__(self):
        return None

    def __setstate__(self, state):
        pass
